Name:           maven-artifact-resolver
Epoch:          1
Version:        1.0
Release:        21
Summary:        A component for plugins to easily resolve project dependencies
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-artifact-resolver
BuildArch:      noarch
Source0:        https://archive.apache.org/dist/maven/shared/maven-artifact-resolver-%{version}-source-release.zip
BuildRequires:  maven-local mvn(org.easymock:easymock) mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-artifact) mvn(org.apache.maven:maven-artifact-manager)
BuildRequires:  mvn(org.apache.maven:maven-compat) mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:) mvn(org.codehaus.plexus:plexus-component-metadata)

Patch0001:      maven-artifact-resolver-plexus.patch

%description
maven-artifact-resolver provides a component for plugins to easily resolve project dependencies.

%package        help
Provides:       maven-artifact-resolver-javadoc = 1:%{version}-%{release}
Obsoletes:      maven-artifact-resolver-javadoc < 1:%{version}-%{release}
Summary:        Documentation for maven-artifact-resolver

%description    help
Documentation for maven-artifact-resolver.

%prep
%autosetup -n maven-artifact-resolver-%{version} -p1
%pom_xpath_inject pom:project/pom:dependencies "
<dependency>
  <groupId>org.apache.maven</groupId>
  <artifactId>maven-compat</artifactId>
  <version>1.0</version>
</dependency>" pom.xml
find -name DefaultProjectDependenciesResolverIT.java -delete
%build
export MAVEN_OPTS="-Xmx512m -XX:MaxPermSize=128m"
%mvn_build
%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE NOTICE

%files help -f .mfiles-javadoc

%changelog
* Tue Jan 21 2020 lihao <lihao129@huawei.com> - 1:1.0-21
- Package init
